Bug 592701 - avahi-daemon gets confused
avahi-daemon gets confused
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 07:18 EDT by Ferry Huberts
Modified: 2010-12-03 09:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2010-05-16 07:18:34 EDT
Description of problem:
avahi-daemon gets confused when using VMs on a bridge

I have a bridge br0 setup on which eth0 for the host and vnetx interfaces for the VMs are added/removed

Version-Release number of selected component (if applicable):
avahi.x86_64 0.6.25-4.fc12


How reproducible:
always

Steps to Reproduce:
1. have the host avahi-daemon and avahi-dnsconfd running
2. start two VMs that both have avahi-daemon and avahi-dnsconfd running
3. check that ssh login works one both VMs by using the .local hostname suffix
4. shutdown one of the VMs
5. ssh login  into the other VM is no longer possible by using the .local
   hostname suffix
  
Actual results:
ssh login  into the other VM is no longer possible by using the .local
   hostname suffix

Expected results:
ssh login  into the other VM is still possible by using the .local
   hostname suffix

Additional info:
the avahi loglines in /var/log/message seem ok: the correct vnetx interface is removed from the bridge, after which things no longer work correctly
Comment 1 Bug Zapper 2010-11-03 10:48:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:40:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.